﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import com.pixelfumes.stacks.Stack;
	import fl.transitions.easing.Elastic;

	public final class Main extends Sprite
	{
		private var stack:Stack = new Stack();
		private var nt:NT = new NT();
		private var at:AT = new AT();
		private var mt:MT = new MT();

		public final function Main():void
		{
			stack.setRadius(240);
			stack.setAngle(35);
			stack.setStartAngle(0);
			stack.setOpenEasing(Elastic.easeOut);
			stack.setOpenTime(1);
			stack.setCloseEasing(Elastic.easeOut);
			stack.setCloseTime(0.5);
			
			stack.addItem(nt);
			stack.addItem(at);
			stack.addItem(mt);

			addChild(stack);
			stack.x = stackButton.x;
			stack.y = stackButton.y;

			stackButton.addEventListener(MouseEvent.MOUSE_DOWN, stackClick);
		}

		private final function stackClick(e:Event):void
		{
			if (stack.getStackOpen() == false)
			{
				stack.openStack();
			}
			else
			{
				stack.closeStack();
			}
		}
	}
}